%global         momorel 7
%global         srcver 5.03

Name:           perl-HTML-Tree
Version:        %{srcver}
Release:        %{momorel}m%{?dist}
Summary:        Build and scan parse-trees of HTML
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Tree/
Source0:        http://www.cpan.org/authors/id/C/CJ/CJM/HTML-Tree-%{srcver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.0
BuildRequires:  perl-HTML-Parser >= 3.46
BuildRequires:  perl-HTML-Tagset >= 3.02
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple
Requires:       perl-HTML-Parser >= 3.46
Requires:       perl-HTML-Tagset >= 3.02
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
HTML-Tree is a suite of Perl modules for making parse trees out of HTML
source. It consists of mainly two modules, whose documentation you should
refer to: HTML::TreeBuilder and HTML::Element.

%prep
%setup -q -n HTML-Tree-%{srcver}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README TODO
%{_bindir}/htmltree
%{perl_vendorlib}/HTML/AsSubs.pm
%{perl_vendorlib}/HTML/Element.pm
%{perl_vendorlib}/HTML/Element
%{perl_vendorlib}/HTML/Parse.pm
%{perl_vendorlib}/HTML/Tree.pm
%{perl_vendorlib}/HTML/Tree
%{perl_vendorlib}/HTML/TreeBuilder.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03-7m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03-6m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03-5m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03-2m)
- rebuild against perl-5.16.2

* Sun Sep 23 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03-1m)
- update to 5.03

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (5.02-7m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (5.02-1m)
- update to 5.02
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.20-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.20-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.20-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.20-2m)
- rebuild for new GCC 4.6

* Thu Apr  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.20-1m)
- update to 4.2

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.10-2m)
- rebuild for new GCC 4.5

* Mon Oct 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-1m)
- update to 4.1
- Specfile re-generated by cpanspec 1.78.

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.23-12m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23-11m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.23-10m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.23-9m)
- rebuild against perl-5.12.0

* Thu Jan 21 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.23-8m)
- bug fix (Patch0) for publican-1.3
-- http://rt.cpan.org/Public/Bug/Display.html?id=49932

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.23-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.23-6m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.23-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.23-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.23-2m)
- use vendor

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.23-1m)
- update to 3.23

* Fri Sep  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.21-1m)
- update to 3.21

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.20-1m)
- update to 3.20

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1901-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.1901-1m)
- update to 3.1901

* Thu Oct 20 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.18-5m)
- add BuildRequires: perl-HTML-Parser

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.18-4m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.18-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.18-2m)
- remove Epoch from BuildRequires

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (3.18-1m)
- spec file was autogenerated
